import React from 'react';
import { BlockType, FileType, OCRBlockRenderProps, OCRPageRenderProps, OcrData } from './ReactOCRRenderer.types';
declare const ReactOCRRenderer: ({ file, type, ocrData, searchText, highlightedBlockTypes, customTextRenderComponent, customPageRenderComponent, size, showOnlyResultPages }: {
    file: string;
    type: FileType;
    ocrData: OcrData;
    searchText?: string | string[] | undefined;
    highlightedBlockTypes?: BlockType[] | undefined;
    customTextRenderComponent?: ((props: OCRBlockRenderProps) => JSX.Element) | undefined;
    customPageRenderComponent?: ((props: OCRPageRenderProps) => JSX.Element) | undefined;
    size?: {
        width: number;
        height?: number | undefined;
    } | undefined;
    showOnlyResultPages?: boolean | undefined;
}) => React.JSX.Element;
export default ReactOCRRenderer;
